Qt 5.7 | Qt 3D | C++ Classes | QKeyboardDevice

Qt 5.7.1 Reference Documentation

# QKeyboardDevice Class

(Qt3DInput::QKeyboardDevice)

QKeyboardDevice is in charge of dispatching keyboard events to attached QQKeyboardHandler objects. More...

Header: | #include <QKeyboardDevice>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | KeyboardDevice
Inherits: | Qt3DInput::QAbstractPhysicalDevice

- List of all members, including inherited members

## Properties

- activeInput : Qt3DInput::QKeyboardHandler * const

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QKeyboardDevice(QNode *parent = nullptr)
QKeyboardHandler * | activeInput() const

## Reimplemented Public Functions

virtual int | axisCount() const
virtual int | axisIdentifier(const QString &name) const
virtual QStringList | axisNames() const
virtual int | buttonCount() const
virtual int | buttonIdentifier(const QString &name) const
virtual QStringList | buttonNames() const

- 9 public functions inherited from Qt3DInput::QAbstractPhysicalDevice
- 6 public functions inherited from Qt3DCore::QNode

## Signals

void | activeInputChanged(QKeyboardHandler *activeInput)

- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 public slots inherited from Qt3DCore::QNode
- 1 protected function inherited from Qt3DInput::QAbstractPhysicalDevice
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

QKeyboardDevice is in charge of dispatching keyboard events to attached QQKeyboardHandler objects.

## Property Documentation

### activeInput : Qt3DInput::QKeyboardHandler * const

Holds the active QKeyboardHandler of the device.

Access functions:

QKeyboardHandler * | activeInput() const

Notifier signal:

void | activeInputChanged(QKeyboardHandler *activeInput)

## Member Function Documentation

### QKeyboardDevice::QKeyboardDevice(QNode *parent = nullptr)

Constructs a new QKeyboardDevice instance with parent.

### `[virtual]` int QKeyboardDevice::axisCount() const

Reimplemented from QAbstractPhysicalDevice::axisCount().

Returns the axis count.

Note: Currently always returns zero.

### `[virtual]` int QKeyboardDevice::axisIdentifier(const QString &name) const

Reimplemented from QAbstractPhysicalDevice::axisIdentifier().

Returns the axisIdentifier matching the name.

### `[virtual]` QStringList QKeyboardDevice::axisNames() const

Reimplemented from QAbstractPhysicalDevice::axisNames().

Returns the axis names.

Note: Currently always returns empty QStringList.

### `[virtual]` int QKeyboardDevice::buttonCount() const

Reimplemented from QAbstractPhysicalDevice::buttonCount().

Returns the button count.

### `[virtual]` int QKeyboardDevice::buttonIdentifier(const QString &name) const

Reimplemented from QAbstractPhysicalDevice::buttonIdentifier().

Returns the buttonIdentifier matching the name.

### `[virtual]` QStringList QKeyboardDevice::buttonNames() const

Reimplemented from QAbstractPhysicalDevice::buttonNames().

Returns the button names.